@ECHO OFF

setlocal EnableDelayedExpansion

rem Deletion Discom files
rem Parameter

rem Text file with list of source folders (YYYY-WW) for deletion
SET DELETE_LIST=%1

rem Source location
SET SOURCE_DIR=%2
SET BACKUP_PATH=%3

SET RESULT=0
                                 
for /f %%d in ( %1 ) do (


    del %SOURCE_DIR%\%%d /F/S/Q > nul
	
    rem Choose: Exit or continue on error
    if !ERRORLEVEL! neq 0 (
	    set RESULT=!ERRORLEVEL!
	    ECHO Source Folder: %SOURCE_DIR%\%%d 1>&2
	rem EXIT !ERRORLEVEL!
    )
    if  %RESULT% == 0 (
	    (
		rd %SOURCE_DIR%\%%d /S/Q  > nul || echo Deletion of source folder failed 1>&2
	    )
    ) 

)

:ENDE
exit %RESULT%

