@ECHO OFF

setlocal EnableDelayedExpansion

rem Backup Discom Files
rem Parameter

rem Text file with list of source folders (YYYY-WW) for backup
SET COPY_LIST=%1

rem Source location
SET SOURCE_DIR=%2

rem Backup location
SET BACKUP_DIR=%3

SET RESULT=0

if not exist "%BACKUP_DIR%\." md %BACKUP_DIR%

rem Copy SOURCE_DIR\Folder to BACKUP_DIR\Folder
                                  
for /f %%d in ( %1 ) do (

    xcopy %SOURCE_DIR%\%%d %BACKUP_DIR%\%%d /E/H/K/R/Y/Q/I/Z > nul
	
    rem Choose: Exit or continue on error
    if !ERRORLEVEL! neq 0 (
	    set RESULT=!ERRORLEVEL!
	    ECHO Source Folder: %SOURCE_DIR%\%%d 1>&2
	    ECHO Backup Folder: %BACKUP_DIR%\%%d 1>&2
	rem EXIT !ERRORLEVEL!
    )

    if  %RESULT% == 0 (
	    if exist %BACKUP_DIR%\%%d (
		rd %SOURCE_DIR%\%%d /S/Q  > nul || echo Deletion of source folder failed 1>&2
	    )
    )  
)

:ENDE
exit %RESULT%

