
------------------------------------------------------------------------------------------------------------------------------------------
------------ Function: ErrorGroupSelection
------------------------------------------------------------------------------------------------------------------------------------------

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[ErrorGroupSelection]') AND [type] = 'TF')
	DROP FUNCTION [dbo].[ErrorGroupSelection]
GO


CREATE FUNCTION [dbo].[ErrorGroupSelection] (@FkInternCode INT, @ErrorGroupId INT)
RETURNS nvarchar
AS
BEGIN

DECLARE @Row int = 0,
		@RowCnt int = 0,
		@Result bit = 0

SELECT @RowCnt = COUNT(0) FROM dbo.AceErrorSelection WHERE GroupId = @ErrorGroupId;

WHILE @Row < @RowCnt
BEGIN
   IF (@FkInternCode >= (SELECT StartErrorId FROM AceErrorSelection WHERE GroupId = @ErrorGroupId AND Nr = @Row) AND 
		@FkInternCode <= (SELECT EndErrorId FROM AceErrorSelection WHERE GroupId = @ErrorGroupId AND Nr = @Row))
   BEGIN
		SET @Result = 1
   END
   SET @Row = @Row + 1 
END

RETURN @Result
END
GO
------------------------------------------------------------------------------------------------------------------------------------------
