
------------------------------------------------------------------------------------------------------------------------------------------
------------ Function: FirstError
------------------------------------------------------------------------------------------------------------------------------------------

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[FirstError]') AND [type] = 'FN')
	DROP FUNCTION [dbo].FirstError
GO

CREATE FUNCTION [dbo].[FirstError] (@PkIdent INT)
RETURNS int
AS
BEGIN
DECLARE @ErrorCode INT
-- in case of good transmissions with error entries
--IF (SELECT Result From MainData WHERE MainData.PkIdent = @PkIdent) <> 2
--RETURN -1
SET @ErrorCode = (
SELECT MAX(FkInternCode)
FROM ErrorData
WHERE ErrorData.FkIdent = @PkIdent AND ErrorData.Nr = 0
)
-- Return the result of the function
RETURN ISNULL(@ErrorCode,-1)
END

GO

PRINT 'Function added'
GO
------------------------------------------------------------------------------------------------------------------------------------------
