

------------------------------------------------------------------------------------------------------------------------------------------
------------ Function: ISOYear
------------------------------------------------------------------------------------------------------------------------------------------
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].IsoYear') AND [type] = 'FN')
	DROP FUNCTION [dbo].IsoYear
GO

CREATE FUNCTION IsoYear(@DATE datetime)
RETURNS int
AS
BEGIN
DECLARE @ISOyear int
DECLARE @ISOweek int

DECLARE @YEAR int
DECLARE @MONTH int

SET @ISOweek = dbo.ISOweek(@date)

SET @YEAR = DATEPART(year, @date)
SET @MONTH = DATEPART(month, @date)

SET @ISOyear = @year
IF @MONTH = 1 and @ISOWEEK > 50 SET @ISOyear = @YEAR - 1
IF @MONTH = 12 and @ISOWEEK = 1 SET @ISOyear = @YEAR + 1

RETURN (@ISOyear)
END

GO

PRINT 'Function added'
GO
------------------------------------------------------------------------------------------------------------------------------------------
