

------------------------------------------------------------------------------------------------------------------------------------------
------------ Function: fnSplitString
------------------------------------------------------------------------------------------------------------------------------------------

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[fnSplitString]') AND [type] = 'FN')
	DROP FUNCTION [dbo].[fnSplitString]
GO

CREATE FUNCTION [dbo].[fnSplitString] 
( 
    @string NVARCHAR(MAX), 
    @delimiter CHAR(1) 
) 
RETURNS @output TABLE(Id INT 
) 
BEGIN 
    SELECT @string = SUBSTRING(@string,2,LEN(@string)-2)
	
	DECLARE @start INT, @end INT 
    SELECT @start = 1, @end = CHARINDEX(@delimiter, @string) 
    WHILE @start < LEN(@string) + 1 BEGIN 
        IF @end = 0  
            SET @end = LEN(@string) + 1
       
        INSERT INTO @output (Id)  
        VALUES(SUBSTRING(@string, @start, @end - @start)) 
        SET @start = @end + 1 
        SET @end = CHARINDEX(@delimiter, @string, @start)
        
    END 
    RETURN 
END
GO

PRINT 'Function added'
GO
------------------------------------------------------------------------------------------------------------------------------------------
