
------------------------------------------------------------------------------------------------------------------------------------------
------------ Procedure: parSetData
------------------------------------------------------------------------------------------------------------------------------------------
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[parSetData]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
	DROP PROCEDURE [dbo].[parSetData]
GO

CREATE PROCEDURE [dbo].[parSetData] (@key [nvarchar](100), @setData [nvarchar](500)) AS
BEGIN
	IF  ( ( SELECT COUNT(*) FROM [ParamSea] WHERE [Key] = @key) = 0 )
	BEGIN
		IF (@setData IS NOT NULL)
		BEGIN
			INSERT INTO [ParamSea] ([Key],[Data]) VALUES (@key, @setData)
		END
		
	END ELSE
	BEGIN
		UPDATE [ParamSea] SET [Data] = @setData WHERE [Key] = @key
	END	
END
GO
------------------------------------------------------------------------------------------------------------------------------------------

PRINT 'Stored procedure added'
GO
