------------------------------------------------------------------------------------------------------------------------------------------
------------ ArchiveData: Check existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[ArchiveData]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN 
	CREATE TABLE [dbo].[ArchiveData] (
		[FkIdent]	[int]	NOT NULL,
		[FkStoreModule]	[int]	NOT NULL,
		[FkQuinter]	[int]	NOT NULL,
		[FkFilename]	[int]	NOT NULL,
		[Offset]	[int]	NOT NULL
	) ON [PRIMARY]	
	
PRINT 'Table ArchiveData added'
IF NOT EXISTS (SELECT * FROM sysindexes WHERE name = N'CIdx_ArchiveData')
BEGIN
 	CREATE CLUSTERED INDEX [CIdx_ArchiveData] ON [dbo].[ArchiveData] ([FkIdent]) ON [PRIMARY]

PRINT 'Clustered index CIdx_ArchiveData added'
END
ELSE PRINT 'Clustered index CIdx_ArchiveData already exists'

END
ELSE PRINT 'Table ArchiveData already exists'

GO
------------------------------------------------------------------------------------------------------------------------------------------

