
------------------------------------------------------------------------------------------------------------------------------------------
------------ BenchGroupId: Check existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[BenchGroupId]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN

	CREATE TABLE [dbo].[BenchGroupId] (
	[Id]		[int] PRIMARY KEY CLUSTERED NOT NULL IDENTITY(0, 1),
	[Text]		[nvarchar] (80)	COLLATE Latin1_General_CI_AS NULL )

PRINT 'Table BenchGroupId added'
END
ELSE PRINT 'Table BenchGroupId already exists'
GO
------------------------------------------------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------------------------------------------------
------------ BenchGroupId: Check constraint existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT CONSTRAINT_NAME from INFORMATION_SCHEMA.KEY_COLUMN_USAGE WHERE TABLE_NAME ='BenchGroupId' AND COLUMN_NAME = 'Id')
BEGIN
------------ BenchGroupId  Check Primary Key, else create. Assumes that the BenchGroupId index is Pk_BenchGroupId
	ALTER TABLE [dbo].[BenchGroupId] WITH NOCHECK 
	ADD CONSTRAINT [Pk_BenchGroupId] PRIMARY KEY CLUSTERED ([Id]) ON [PRIMARY] 

PRINT 'Table constraint Pk_BenchGroupId added'
END
ELSE PRINT 'Table constraint Pk_BenchGroupId already exists'
GO
------------------------------------------------------------------------------------------------------------------------------------------


