
------------------------------------------------------------------------------------------------------------------------------------------
------------ DatabaseVersion: Check existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[DatabaseVersion]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[DatabaseVersion] (
		[Id]		[int]			PRIMARY KEY CLUSTERED IDENTITY (0, 1),
		[Version]	[nvarchar] (20)		NOT NULL,
		[Date]		[datetime]		NOT NULL,
		[Comment]	[nvarchar] (500)	NULL 
	) ON [PRIMARY]

PRINT 'Table DatabaseVersion added'
END
ELSE PRINT 'Table DatabaseVersion already exists'
GO
------------------------------------------------------------------------------------------------------------------------------------------


