------------------------------------------------------------------------------------------------------------------------------------------
------------ LocationId: Check existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[LocationId]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[LocationId] (
		[Id]	[smallint]		PRIMARY KEY CLUSTERED NOT NULL IDENTITY(0, 1),
		[Text]	[nvarchar] (80)	COLLATE Latin1_General_CI_AS NULL 
	) ON [PRIMARY]

PRINT 'Table LocationId added'
END
ELSE PRINT 'Table LocationId already exists'
GO
------------------------------------------------------------------------------------------------------------------------------------------


