
------------------------------------------------------------------------------------------------------------------------------------------
------------ ModesPerMeasurement: Check existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[ModesPerMeasurement]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[ModesPerMeasurement] 
	(
		[FkIdent]	[int]	NOT NULL,
		[FkMode]	[smallint]	NOT NULL
	) ON [PRIMARY]

PRINT 'Table ModesPerMeasurement added'
END
ELSE PRINT 'Table ModesPerMeasurement already exists'
GO
------------------------------------------------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------------------------------------------------
------------ ModesPerMeasurement: Check index existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM sysindexes WHERE name = N'PK_ModesPerMeasurement')
BEGIN
	ALTER TABLE [dbo].[ModesPerMeasurement] WITH NOCHECK ADD 
	CONSTRAINT [PK_ModesPerMeasurement] PRIMARY KEY 
	(
		[FkIdent],
		[FkMode]
	)  ON [PRIMARY]

PRINT 'Table constraint PK_ModesPerMeasurement added'
END
ELSE PRINT 'Constraint PK_ModesPerMeasurement already exists'
GO
------------------------------------------------------------------------------------------------------------------------------------------
	

