
------------------------------------------------------------------------------------------------------------------------------------------
------------ ReferenceSerials: Check existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[ReferenceSerials]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[ReferenceSerials]
	(
		[Name] [nvarchar](100) NOT NULL
	) ON [PRIMARY]

PRINT 'Table ReferenceSerials added'
	IF NOT EXISTS (SELECT 'True' FROM INFORMATION_SCHEMA.CONSTRAINT_COLUMN_USAGE WHERE CONSTRAINT_NAME = 'PK_ReferenceSerials')
	BEGIN
		ALTER TABLE [dbo].[ReferenceSerials] WITH NOCHECK ADD CONSTRAINT [PK_ReferenceSerials] PRIMARY KEY CLUSTERED 
		(
			[Name] ASC
		)

	PRINT 'Table constraint PK_ReferenceSerials added'
	END
END
ELSE PRINT 'Table ReferenceSerials already exists'
GO


