
------------------------------------------------------------------------------------------------------------------------------------------
------------ ReferenceTypes: Check existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[ReferenceTypes]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[ReferenceTypes]
	(
		[Name] [nvarchar](100) NOT NULL
	) ON [PRIMARY]

PRINT 'Table ReferenceTypes added'
IF NOT EXISTS (SELECT 'True' FROM INFORMATION_SCHEMA.CONSTRAINT_COLUMN_USAGE WHERE CONSTRAINT_NAME = 'PK_ReferenceTypes')
BEGIN
	ALTER TABLE [dbo].[ReferenceTypes] WITH NOCHECK ADD CONSTRAINT [PK_ReferenceTypes] PRIMARY KEY CLUSTERED 
	(
		[Name] ASC
	)

PRINT 'Table constraint PK_ReferenceTypes added'
END
END
ELSE PRINT 'Table ReferenceTypes already exists'

GO
------------------------------------------------------------------------------------------------------------------------------------------

