
------------------------------------------------------------------------------------------------------------------------------------------
------------ ShiftNames: Check existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[ShiftNames]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[ShiftNames]
	(
		[Id] [int] NOT NULL,
		[Name] [nvarchar](100) NOT NULL
	) ON [PRIMARY]

PRINT 'Table ShiftNames added'
IF NOT EXISTS (SELECT 'True' FROM INFORMATION_SCHEMA.CONSTRAINT_COLUMN_USAGE WHERE CONSTRAINT_NAME = 'PK_ShiftNames')
BEGIN
	ALTER TABLE [dbo].[ShiftNames] WITH NOCHECK 
	ADD	CONSTRAINT [PK_ShiftNames] PRIMARY KEY CLUSTERED 
	(
		[Id] ASC
	)

PRINT 'Table constraint PK_ShiftNames added'
END
END
ELSE PRINT 'Table ShiftNames already exists'
GO