

------------------------------------------------------------------------------------------------------------------------------------------
------------ View: ErrorMain
------------------------------------------------------------------------------------------------------------------------------------------

-- Roland, 24.06.04
-- Diese View beinhaltet Daten zur Fehlerauswertung nach Fehlercode

IF EXISTS (SELECT 'True' FROM INFORMATION_SCHEMA.VIEWS WHERE TABLE_NAME = 'ErrorMain')
DROP VIEW [dbo].[ErrorMain]
GO

CREATE VIEW [dbo].[ErrorMain]
AS
SELECT
	[dbo].[MainData].[PkIdent],
	[dbo].[MainData].[Serial],
	[dbo].[MainData].[Ordinal],
	[dbo].[MainData].[Result],
	[dbo].[MainData].[Type],
	[dbo].[MainData].[BaseType],
	[dbo].[MainData].[TestBench],
	[dbo].[BenchID].[BenchGroup],
	[dbo].[MainData].[Time],
	[dbo].[MainData].[TimeOfNextMeasurement],
	[dbo].[MainData].[TestKind],
	[dbo].[MainData].[ThisLast],
	[dbo].[ErrorData].[Nr],
	[dbo].[ErrorData].[FkInternCode],
	[dbo].[ErrorData].[FkMode],
	[dbo].[ErrorData].[FkChannel],
	[dbo].[ErrorData].[FkLocation],
	[dbo].[ErrorData].[FkInstrument],
	[dbo].[ErrorData].[FkParameter],
	[dbo].[ErrorData].[FehlerWert],
	[dbo].[ErrorData].[FehlerGrenze],
	[dbo].[ErrorData].[FehlerPosition],
	[dbo].[ErrorData].[FkUnit]
FROM
	[dbo].[ErrorData]
INNER JOIN [dbo].[MainData] 	ON [dbo].[ErrorData].[FkIdent] 		= [dbo].[MainData].[PkIdent]
INNER JOIN [dbo].[BenchID] 	ON [dbo].[MainData].[TestBench] 	= [dbo].[BenchID].[Id]
GO
PRINT 'View ErrorMain was re-created'
------------------------------------------------------------------------------------------------------------------------------------------
