

------------------------------------------------------------------------------------------------------------------------------------------
------------ View: SpGmkShortErrorReport
------------------------------------------------------------------------------------------------------------------------------------------
-- [SpGmkErrorReport]

IF EXISTS (SELECT 'True' FROM INFORMATION_SCHEMA.VIEWS WHERE TABLE_NAME = 'SpGmkShortErrorReport')
DROP VIEW [dbo].SpGmkShortErrorReport
GO

CREATE VIEW [dbo].SpGmkShortErrorReport
AS

SELECT

-- Basic measurement information:
 MainData.[Ordinal]		AS NTest,
 
-- Single error information:
 ErrorData.Nr			AS Nr,
 ErrorData.[FkInternCode]	AS ErrorCode,
 ErrorCodes.[Text]		AS ErrorText,
 MainData.[Serial],
 MainData.[ThisLast]

FROM

 ErrorData

INNER JOIN ErrorCodes 		ON ErrorCodes.[PkInternCode]	= ErrorData.[FkInternCode] 
INNER JOIN MainData		ON MainData.[PkIdent]		= ErrorData.[FkIdent]

GO
PRINT 'View SpGmkShortErrorReport was re-created'
------------------------------------------------------------------------------------------------------------------------------------------
