USE DiscomData_ProdDb
GO

PRINT 'Shrinking primary data file and log file...'
GO

-- Shrink primary database file:
DBCC SHRINKFILE (1);
PRINT 'Shrinking primary database file completed'
GO

-- Rebuild primary key clustered index on MainData (since Shrinkfile fragments the index)
ALTER INDEX ALL On [dbo].[MainData] REBUILD
PRINT 'Rebuild MainData indexes'
GO


-- Shrink logfile
DBCC SHRINKFILE(2);
PRINT 'Shrinking logfile completed'
GO
