
------------------------------------------------------------------------------------------------------------------------------------------
------------ Function: HasResult
------------------------------------------------------------------------------------------------------------------------------------------

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[HasResult]') AND [type] = 'FN')
	DROP FUNCTION [dbo].[HasResult]
GO

CREATE FUNCTION [dbo].[HasResult] (@ThisResult INT, @WantedResult INT)
RETURNS int

AS
BEGIN
	DECLARE @CNT INT

	SET @CNT = (
		CASE @ThisResult
			WHEN @WantedResult THEN 1
			ELSE 0
		END
		)
	RETURN @CNT
END
GO

PRINT 'Function added'
GO
------------------------------------------------------------------------------------------------------------------------------------------
