
------------------------------------------------------------------------------------------------------------------------------------------
------------ Function: VwAllCount
------------------------------------------------------------------------------------------------------------------------------------------

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[VwAllCount]') AND [type] = 'FN')
	DROP FUNCTION [dbo].[VwAllCount]
GO

CREATE FUNCTION [dbo].[VwAllCount]
(
	@ThisResult INT , @ThisOrdinal INT, 
	@FirstResult INT , @FirstOrdinal INT, 
	@LastResult INT,  @LastOrdinal INT 
)

RETURNS int
AS
BEGIN
	DECLARE @CNT INT
	SET @CNT = (
		CASE 
			-- current bad units
			WHEN	((@LastResult = 2) AND (@ThisResult = 2)) 
					AND (@ThisOrdinal =  1) THEN 1
			-- current good units
			WHEN ( @ThisResult = 1) THEN 1

		ELSE 0
		END
	)
RETURN @CNT
END
GO

PRINT 'Function added'
GO
------------------------------------------------------------------------------------------------------------------------------------------
