
------------------------------------------------------------------------------------------------------------------------------------------
------------ Function: VwBadCount
------------------------------------------------------------------------------------------------------------------------------------------
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[VwBadCount]') AND [type] = 'FN')
	DROP FUNCTION [dbo].[VwBadCount]
GO

CREATE FUNCTION [dbo].[VwBadCount]
(
	@ThisResult INT , @ThisOrdinal INT, 
	@FirstResult INT , @FirstOrdinal INT, 
	@LastResult INT,  @LastOrdinal INT 
)

RETURNS int
AS
BEGIN
	DECLARE @CNT INT
	SET @CNT = (
		CASE 
			WHEN	((@LastResult = 2) AND (@ThisResult = 2)) 
					AND (@ThisOrdinal =  1) THEN 1
		ELSE 0
		END
	)
RETURN @CNT
END
GO

PRINT 'Function added'
GO
------------------------------------------------------------------------------------------------------------------------------------------
