
------------------------------------------------------------------------------------------------------------------------------------------
------------ Function: parLookupData
------------------------------------------------------------------------------------------------------------------------------------------

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[parLookupData]') AND [type] = 'FN')
	DROP FUNCTION [dbo].[parLookupData]
GO

CREATE FUNCTION [dbo].[parLookupData] (@key [nvarchar](100), @defData  [nvarchar](500) = NULL)
RETURNS nvarchar(500)

AS
BEGIN
	DECLARE @retValue nvarchar(500)
	SET @retValue = @defData

	IF  ( ( SELECT COUNT(*) FROM [ParamSea] WHERE [Key] = @key) != 0 )
	BEGIN		
		SELECT @retValue = [Data] FROM [ParamSea] WHERE [Key] = @key
	END
	
	-- Return the result of the function
	RETURN CONVERT(nvarchar(500),@retValue)
END
GO

PRINT 'Function added'
GO
------------------------------------------------------------------------------------------------------------------------------------------

