
----------------------------------------------------------------------------------------------------------------------------
------------ Function: parLookupTime
----------------------------------------------------------------------------------------------------------------------------
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[parLookupTime]') AND [type] = 'FN')
	DROP FUNCTION [dbo].[parLookupTime]
GO

CREATE FUNCTION [dbo].[parLookupTime] (@key [nvarchar](100), @defTime DATETIME = NULL)
RETURNS DATETIME

AS
BEGIN
	DECLARE @retValue DATETIME
	SET @retValue = @defTime

	IF  ( ( SELECT COUNT(*) FROM [ParamSea] WHERE [Key] = @key) != 0 )
	BEGIN		
		SELECT @retValue = [TimeVal] FROM [ParamSea] WHERE [Key] = @key
	END
	
	-- Return the result of the function
	RETURN @retValue
END
GO

PRINT 'Function added'
GO
----------------------------------------------------------------------------------------------------------------------------

