
----------------------------------------------------------------------------------------------------------------------------
------------ Procedure: parSetTime
----------------------------------------------------------------------------------------------------------------------------
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[parSetTime]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
	DROP PROCEDURE [dbo].[parSetTime]
GO

CREATE PROCEDURE [dbo].[parSetTime] (@key [nvarchar](100), @setTime DATETIME) AS
BEGIN
	IF  ( ( SELECT COUNT(*) FROM [ParamSea] WHERE [Key] = @key) = 0 )
	BEGIN
		IF (@setTime IS NOT NULL)
		BEGIN
			INSERT INTO [ParamSea] ([Key],[TimeVal]) VALUES (@key, @setTime)
		END
		
	END ELSE
	BEGIN
		UPDATE [ParamSea] SET [TimeVal] = @setTime WHERE [Key] = @key
	END	
END
GO
----------------------------------------------------------------------------------------------------------------------------

PRINT 'Stored procedure added'
GO