
------------------------------------------------------------------------------------------------------------------------------------------
------------ AceErrorGroup: Check table existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[AceErrorGroup]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [dbo].[AceErrorGroup](
	[Id] [int] NOT NULL,
	[Name] [nvarchar](100) NOT NULL
) ON [PRIMARY]

PRINT 'Table AceErrorGroup added'
END
ELSE PRINT 'Table AceErrorGroup already exists'
GO

------------------------------------------------------------------------------------------------------------------------------------------
------------ AceErrorGroup: Check constraint existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT 'True' FROM INFORMATION_SCHEMA.CONSTRAINT_COLUMN_USAGE WHERE CONSTRAINT_NAME = 'PK_AceErrorGroup')
BEGIN
	ALTER TABLE [dbo].[AceErrorGroup] ADD CONSTRAINT [PK_AceErrorGroup] PRIMARY KEY CLUSTERED ([Id] ASC)
PRINT 'Table constraint PK_AceErrorGroup added'
END
ELSE PRINT 'Table constraint PK_AceErrorGroup already exists'
GO
------------------------------------------------------------------------------------------------------------------------------------------
