------------------------------------------------------------------------------------------------------------------------------------------
------------ FactoryId: Check existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[FactoryId]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[FactoryId] (
		[ID]	[int]		PRIMARY KEY  CLUSTERED		NOT NULL,
		[Text]	[nvarchar] (80)	COLLATE Latin1_General_CI_AS	NOT NULL
	) ON [PRIMARY]

PRINT 'Table FactoryId added'
END
ELSE PRINT 'Table FactoryId already exists'
GO
------------------------------------------------------------------------------------------------------------------------------------------

