
------------------------------------------------------------------------------------------------------------------------------------------
------------ ProtocolCrossReference: Check existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[ProtocolCrossReference]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
  	CREATE TABLE [dbo].[ProtocolCrossReference] 
	(
		[PkIdent]	[int] PRIMARY KEY  CLUSTERED NOT NULL,
		[FkMode]	[smallint] NULL,
		[FkInstance]	[smallint] NULL,
		[FkInstrument]	[smallint] NULL,
		[FkLocation]	[smallint] NULL,
		[FkParam]	[smallint] NULL 
	) ON [PRIMARY]

PRINT 'Table ProtocolCrossReference added'
END
ELSE PRINT 'Table ProtocolCrossReference already exists'
GO
------------------------------------------------------------------------------------------------------------------------------------------


