
------------------------------------------------------------------------------------------------------------------------------------------
------------ Quinters: Check existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[Quinters]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[Quinters] (
		[Id]		[int]		PRIMARY KEY IDENTITY (0, 1)	NOT NULL,
		[Mode]		[nvarchar] (80)	COLLATE Latin1_General_CI_AS 	NOT NULL,
		[Channel]	[nvarchar] (80)	COLLATE Latin1_General_CI_AS 	NOT NULL,
		[Location]	[nvarchar] (80)	COLLATE Latin1_General_CI_AS 	NOT NULL,
		[Instrument]	[nvarchar] (80)	COLLATE Latin1_General_CI_AS 	NOT NULL,
		[Parameter]	[nvarchar] (80)	COLLATE Latin1_General_CI_AS 	NOT NULL
	) ON [PRIMARY]

PRINT 'Table Quinters added'
END
ELSE PRINT 'Table Quinters already exists'
GO
------------------------------------------------------------------------------------------------------------------------------------------




