
------------------------------------------------------------------------------------------------------------------------------------------
------------ Referenzgetriebe: Check existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[Referenzgetriebe]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[Referenzgetriebe] (
		[Type]		[int]		NOT NULL,
		[TestKind]	[int]		NOT NULL,
		[Comment]	[nvarchar] (50)	COLLATE Latin1_General_CI_AS NULL 
	) ON [PRIMARY]

PRINT 'Table Referenzgetriebe added'
IF NOT EXISTS (SELECT 'True' FROM INFORMATION_SCHEMA.CONSTRAINT_COLUMN_USAGE WHERE CONSTRAINT_NAME = 'PK_Referenzgetriebe')
BEGIN
	ALTER TABLE [dbo].[Referenzgetriebe] WITH NOCHECK 
	ADD CONSTRAINT [PK_Referenzgetriebe] PRIMARY KEY CLUSTERED 
	(
		[Type]
	)  ON [PRIMARY]

PRINT 'Table constraint PK_Referenzgetriebe added'
END
END
ELSE PRINT 'Table Referenzgetriebe already exists'
GO
------------------------------------------------------------------------------------------------------------------------------------------
