
------------------------------------------------------------------------------------------------------------------------------------------
------------ ShiftMinutes: Check existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[ShiftMinutes]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[ShiftMinutes]
	(
		[Id] [int] NOT NULL,
		[ShiftId] [int] NOT NULL,
		[Start] [int] NOT NULL,
		[Stop] [int] NOT NULL,
		[Day] [int] NOT NULL CONSTRAINT [DF_ShiftMinutes_Day]  DEFAULT ((0)),
		[Weekday] [nvarchar] (15) NULL
	) ON [PRIMARY]

PRINT 'Table ShiftMinutes added'
IF NOT EXISTS (SELECT 'True' FROM INFORMATION_SCHEMA.CONSTRAINT_COLUMN_USAGE WHERE CONSTRAINT_NAME = 'PK_ShiftMinutes')
BEGIN
	ALTER TABLE [dbo].[ShiftMinutes] WITH NOCHECK 
	ADD CONSTRAINT [PK_ShiftMinutes] PRIMARY KEY CLUSTERED 
	(
		[Id] ASC
	)

PRINT 'Table constraint PK_ShiftMinutes added'
END
END
ELSE PRINT 'Table ShiftMinutes already exists'
GO
------------------------------------------------------------------------------------------------------------------------------------------

