
------------------------------------------------------------------------------------------------------------------------------------------
------------ TestKindId: Check existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[TestKindId]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN

	CREATE TABLE [dbo].[TestKindId] 
	(
		[Id]	[int] not null,
		[Text]		[nvarchar] (50)	COLLATE Latin1_General_CI_AS NULL,
	) ON [PRIMARY]

PRINT 'Table TestKindId added'
END
ELSE PRINT 'Table TestKindId already exists'
GO
------------------------------------------------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------------------------------------------------
------------ TestKindId: Check constraint existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT CONSTRAINT_NAME from INFORMATION_SCHEMA.KEY_COLUMN_USAGE WHERE TABLE_NAME ='TestKindId' AND COLUMN_NAME = 'Id')
BEGIN
------------ TestKindId  Check Primary Key, else create. Assumes that the TestKindId index is Pk_TestKindId
	ALTER TABLE [dbo].[TestKindId] WITH NOCHECK 
	ADD CONSTRAINT [Pk_TestKindId] PRIMARY KEY CLUSTERED 
	(
		[Id]
	 )  ON [PRIMARY] 

PRINT 'Table constraint Pk_TestKindId added' 
END
ELSE PRINT 'Table constraint Pk_TestKindId already exists'
GO
------------------------------------------------------------------------------------------------------------------------------------------
