
------------------------------------------------------------------------------------------------------------------------------------------
------------ WeeklyResults: Check existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[WeeklyResults]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[WeeklyResults] (
		[WeekNr]					[int]		NOT NULL,
		[Year]						[int]		NOT NULL,	
		[WeekInYear]				[int]		NOT NULL,	
		[StartTime]					[datetime]	NULL,
		[EndTime]					[datetime]	NULL
	) ON [PRIMARY]

PRINT 'Table WeeklyResults added'
END
ELSE PRINT 'Table WeeklyResults already exists'
GO
------------------------------------------------------------------------------------------------------------------------------------------

------------------------------------------------------------------------------------------------------------------------------------------
------------ WeeklyResults: Check index existence, else build
------------------------------------------------------------------------------------------------------------------------------------------
IF NOT EXISTS (SELECT * FROM sysindexes WHERE name = N'Idx_WeeklyResults')
BEGIN
 	CREATE UNIQUE INDEX [Idx_WeeklyResults] ON [dbo].[WeeklyResults] ([WeekNr]) ON [PRIMARY]

PRINT 'Clustered index Idx_WeeklyResults added'
END
ELSE PRINT 'Clustered index Idx_WeeklyResults already exists'
GO
------------------------------------------------------------------------------------------------------------------------------------------


