

------------------------------------------------------------------------------------------------------------------------------------------
------------ View: ProtocolMain
------------------------------------------------------------------------------------------------------------------------------------------
IF EXISTS (SELECT 'True' FROM INFORMATION_SCHEMA.VIEWS WHERE TABLE_NAME = 'ProtocolMain')
DROP VIEW [dbo].[ProtocolMain]
GO

CREATE VIEW [dbo].[ProtocolMain]
AS
SELECT     
	[dbo].[MainData].[PkIdent],
	[dbo].[MainData].[Serial],
	[dbo].[MainData].[Ordinal],
	[dbo].[MainData].[Type],
	[dbo].[MainData].[BaseType],
	[dbo].[ProtocolData].[FkMode],
	[dbo].[ProtocolData].[FkChannel],
	[dbo].[ProtocolData].[FkLocation],
	[dbo].[ProtocolData].[FkInstrument],
	[dbo].[ProtocolData].[FkParameter],
	[dbo].[MainData].[TestBench], 
	[dbo].[MainData].[Time],
	[dbo].[MainData].[TimeOfNextMeasurement],
	[dbo].[ProtocolData].[Value], 
	[dbo].[ProtocolData].[ULimit], 
	[dbo].[ProtocolData].[LLimit],
	[dbo].[ProtocolData].[Position],
	[dbo].[ProtocolData].[FkUnit],
	[dbo].[MainData].[Result],
	[dbo].[MainData].[ThisLast]
FROM
        [dbo].[ProtocolData]
		INNER JOIN [dbo].[MainData] ON [dbo].[MainData].[PkIdent] = [dbo].[ProtocolData].[FkIdent]
GO
PRINT 'View ProtocolMain was re-created'
------------------------------------------------------------------------------------------------------------------------------------------
