
PRINT 'Dropping ProtocolData...'
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[xProtocolData]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	IF ((SELECT MIN(FkIdent) FROM xProtocolData) > 0) 
	BEGIN
		IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[xTimeLimitsOfTypes]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
		BEGIN
			IF ((SELECT COUNT(Id) FROM xTimeLimitsOfTypes) <> 0 AND (SELECT Count(Transferred) FROM xTimeLimitsOfTypes WHERE Transferred = 0) = 0) 
			BEGIN
				DROP TABLE [dbo].[ProtocolData]
				PRINT 'ProtocolData was dropped successfully'
			END
			ELSE RAISERROR ('Table xTimeLimitsOfTypes does not contain any entries and/or there are still units to transfer. Please check.',11,1) WITH NOWAIT 	
		END
		ELSE RAISERROR ('Table xTimeLimitsOfTypes does not exist. Please create first.',11,1) WITH NOWAIT
	END
	ELSE RAISERROR ('Table xProtocolData contains no entries. Please check.',11,1) WITH NOWAIT
END
ELSE RAISERROR ('Table xProtocolData does not exist. Please create first.',11,1) WITH NOWAIT
GO

